
Counter - Employment  - Task #1523

MPMN001 Review Issuing a work permit (National Employment) request

07/28/2019 11:36 AM - Mahmoud Tarawneh

Status: Fixed Start date: 07/28/2019

Priority: Normal Due date:  

Assignee: Mahmoud Tarawneh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Development

Category: Employment New Use Case Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 121

Description

Dear Moath,

Kindly find the MPM SRS (National) V1 all Pro to implement "MPMN001 Review Issuing a work permit (National Employment)

request" in PamEmploymentApp.

You can find the SRS in on SVN in EmploymentDocs Folder or in Files Tab of PamProject Group in Teams Application.

URL for PamEmploymentApp on SVN:

http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/PamEmploymentApp

for any further clarifications assign it to Mohamad Al Khaled.

History

#1 - 07/28/2019 11:39 AM - Mouath Saadah

- Status changed from Open to In Progress

#2 - 07/28/2019 05:39 PM - Mouath Saadah

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

I will begin after finish update for name pro and for making sure about new function "بيانات التامينات"

#3 - 07/29/2019 11:15 AM - Mouath Saadah

- Status changed from In Progress to Feedback

Dear Mahmoud Tarawneh

the column "Labor_Clasification_Id" is not existent in table "MPM_WORK_PERMIT_TRANS"

**look at this attachment

Best Regards,

Moauath Saadah

#4 - 07/29/2019 11:15 AM - Mouath Saadah
http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/PamEmploymentApp


- File 11111.png added

please look to the attachment

#5 - 07/29/2019 11:21 AM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Shatha Alasir

#6 - 07/29/2019 06:42 PM - Shatha Alasir

- Assignee changed from Shatha Alasir to Mohammad Alkhaled

can you clarify the field to moaath

#7 - 07/30/2019 11:46 AM - Mohammad Alkhaled

- Assignee changed from Mohammad Alkhaled to Mouath Saadah

Use : MPM_WORK_PERMIT_TRANS.PIRM_TYPE_ID

#8 - 07/31/2019 03:01 PM - Mouath Saadah

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

- % Done changed from 0 to 90

Dear Mahmoud Tarawneh

I am wating now pro "ISSUEPERMK_CONFIRM" & "ISSUEPERMK_REJECT" and more details about "بيانات التامينات"

**look at this attachment

Best Regards,

Moauath Saadah

#9 - 07/31/2019 03:10 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Mohammad Alkhaled

#10 - 09/03/2019 12:07 PM - Mohammad Alkhaled

- Assignee changed from Mohammad Alkhaled to Mouath Saadah

- SERVICE_ID set to 121

MPMN_PKG.ISSUEPERMK_CONFIRM and MPMN_PKG.ISSUEPERMK_REJECT exist now

exist  in SRS how get it "بيانات التامينات"

please check the SRS document

#11 - 09/03/2019 12:14 PM - Mouath Saadah

- Status changed from Feedback to Fixed

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

- % Done changed from 90 to 100

#12 - 10/23/2019 04:19 PM - Mouath Saadah

- File new way to get data.png added
add new way to get "بيانات العامل" using trans id

as per confirmed with Mohammad AL Kaheed

**Check the screen-shot attached to show change in SRS

Best Regards,

Mouath Saadah

Files

11111.png 61.2 KB 07/29/2019 Mouath Saadah

new way to get data.png 113 KB 10/23/2019 Mouath Saadah
